TinyMCE should be upgraded to 4.X

Bug #1282341 reported by Jono Mingard on 2014-02-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Robert Lyon

Bug Description

TinyMCE 4 was released in June 2013 with a new (pretty) UI and various other changes. We should upgrade to take advantage of the new features.

Jono Mingard (mingard) on 2014-02-21
Changed in mahara:
assignee: nobody → Jono Mingard (mingard)
status: New → In Progress
Changed in mahara:
milestone: none → 1.10.0
importance: Low → Wishlist
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3230

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3289

Reviewed: https://reviews.mahara.org/3030
Committed: http://gitorious.org/mahara/mahara/commit/442ade4e7c7cf991a4001ab8f7cc9d15e2b25890
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 442ade4e7c7cf991a4001ab8f7cc9d15e2b25890
Author: Jono Mingard <email address hidden>
Date: Fri Feb 21 12:44:36 2014 +1300

Upgraded TinyMCE to 4.0.16 (Bug #1282341)

Also changed image popup plugin (used in Journal) to be an actual plugin
which should be easy to integrate into other pages

Change-Id: If57572f34afb1ac4abf012bab32a3966dcfd41ce
Signed-off-by: Jono Mingard <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3230
Committed: http://gitorious.org/mahara/mahara/commit/e61c16f792ca127dca02a5b31671d1c35714b964
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit e61c16f792ca127dca02a5b31671d1c35714b964
Author: Robert Lyon <email address hidden>
Date: Fri Apr 11 13:05:49 2014 +1200

Removing the menubar items from the tinymce. (Bug #1282341)

By default it has a bunch of menu bars showing but we don't want them.

Change-Id: Ia8729c0b27ce91b9cf6b2c8909a1aa5c2d76237d
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3289
Committed: http://gitorious.org/mahara/mahara/commit/2c490a70bfff677c0b95c0565d39162c8c9bc10d
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 2c490a70bfff677c0b95c0565d39162c8c9bc10d
Author: Robert Lyon <email address hidden>
Date: Mon Apr 28 09:34:28 2014 +1200

Altering the toobar button layout to be more like moodle (Bug #1282341)

Now the 2nd / 3rd rows of buttons are hidden by default and are able
to be toggled on/off with the top left button.

Made the button more accessible by having it highlighted as on when
clicking to show all buttons. And also added different tooltip
messages depending on whether the button is in the on or off state.

Change-Id: Ia4b4f5631218088a4293abc991620c646b8d2d6c
Signed-off-by: Robert Lyon <email address hidden>
Signed-off-by: Yuliya Bozhko <email address hidden>

Changed in mahara:
status: In Progress → Fix Committed
assignee: Jono Mingard (mingard) → nobody
assignee: nobody → Robert Lyon (robertl-9)
Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers